/*
 * Copyright (c) 1997, 2001, Mark Buser.
 * Copyright (c) 2001, 2003, 2004, Danny Backx.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the names the authors (see above), nor the names of other
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Header: /pack/anoncvs/xinvest/src/xquote.h,v 1.6 2004/03/13 21:20:04 danny Exp $
 */
#ifndef XQUOTE_H
#define XQUOTE_H

/* Globals */
extern char time_msg[80];
extern char version[];

/* Application resources */
typedef struct {
  XmFontList font_list;
  Boolean    help;
  Boolean    install;
  Boolean    tape;
  String     color0, color1, color2, color3, color4, color5,
             color6, color7, colorRed, colorGreen, colorGrey,
             colorWhite, colorBlack,
             colorPrintBackground, colorPrintForeground, colorPrintIllustrations;
  Pixel      _color0, _color1, _color2, _color3, _color4, _color5,
             _color6, _color7, _colorRed, _colorGreen, _colorGrey,
             _colorWhite, _colorBlack,
             _colorPrintBackground, _colorPrintForeground, _colorPrintIllustrations;
  char       *restore;
}  AppData;

#define	QF_LINE_LEN	256
#endif
